import { IVirtualNode, LazyVirtualNode } from "./vdom";
export declare class Renderer {
    private skipRender;
    private isRecycling;
    private lifecycle;
    private rootElement;
    private oldNode;
    private view;
    private container;
    private action;
    constructor(container: HTMLElement | null, view: LazyVirtualNode, action: IActionInitializer);
    render(): IVirtualNode;
    scheduleRender(): void;
    private createElement;
    private updateElement;
    private patchNewNode;
    private patchChildren;
    private patch;
}
/** IMplementations of this interface can be used in order to manually schedule redraw. */
export interface IRenderer {
    /** Function that schedules rendering */
    scheduleRender(): any;
}
export interface IActionInitializer {
    init(r: IRenderer): any;
}
